aboutsummaryrefslogtreecommitdiff
path: root/tests/t0109-gitconfig.sh
diff refs
from:
to:
flip
diff options
context:
space:
mode:
Diffstat (limited to 'tests/t0109-gitconfig.sh')
-rwxr-xr-xtests/t0109-gitconfig.sh19
1 files changed, 13 insertions, 6 deletions
diff --git a/tests/t0109-gitconfig.sh b/tests/t0109-gitconfig.sh
index 24b2942..189ef28 100755
--- a/tests/t0109-gitconfig.sh
+++ b/tests/t0109-gitconfig.sh
@@ -9,20 +9,26 @@ test -n "$(which strace 2>/dev/null)" || {
exit
}
+strace true 2>/dev/null || {
+ skip_all='Skipping access validation tests: strace not functional'
+ test_done
+ exit
+}
+
test_no_home_access () {
- non_existant_path="/path/to/some/place/that/does/not/possibly/exist"
- while test -d "$non_existant_path"; do
- non_existant_path="$non_existant_path/$(date +%N)"
+ non_existent_path="/path/to/some/place/that/does/not/possibly/exist"
+ while test -d "$non_existent_path"; do
+ non_existent_path="$non_existent_path/$(date +%N)"
done &&
strace \
- -E HOME="$non_existant_path" \
+ -E HOME="$non_existent_path" \
-E CGIT_CONFIG="$PWD/cgitrc" \
-E QUERY_STRING="url=$1" \
-e access -f -o strace.out cgit &&
- test_must_fail grep "$non_existant_path" strace.out
+ ! grep "$non_existent_path" strace.out
}
-function test_no_home_access_success() {
+test_no_home_access_success() {
test_expect_success "do not access \$HOME: $1" "
test_no_home_access '$1'
"
@@ -37,5 +43,6 @@ test_no_home_access_success foo/tree/file-1
test_no_home_access_success foo/commit
test_no_home_access_success foo/diff
test_no_home_access_success foo/patch
+test_no_home_access_success foo/snapshot/master.tar.gz
test_done